SQLITE3_BLOB_BYTES(3)

NAME
sqlite3_blob_bytes - return the size of an open BLOB

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_blob_bytes(sqlite3_blob *);

DESCRIPTION
Returns the size in bytes of the BLOB accessible via the successfully opened BLOB handle in its only argument. The incremental blob I/O routines can only read or overwriting existing blob content; they cannot change the size of a blob.

This routine only works on a BLOB handle which has been created by a prior successful call to sqlite3_blob_open() and which has not been closed by sqlite3_blob_close(). Passing any other pointer in to this routine results in undefined and probably undesirable behavior.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 7867.

    SQLITE_API int sqlite3_blob_bytes(sqlite3_blob *);

SEE ALSO
sqlite3_blob(3), sqlite3_blob_close(3), sqlite3_blob_open(3)